Bug 1410119 (CVE-2016-10094) - CVE-2016-10094 libtiff: Off-by-one error in t2p_readwrite_pdf_image_tile() causing heap buffer overflow
Summary: CVE-2016-10094 libtiff: Off-by-one error in t2p_readwrite_pdf_image_tile() ca...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-10094
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1410123 1410124 1410125
Blocks: 1410122
TreeView+ depends on / blocked
 
Reported: 2017-01-04 14:14 UTC by Adam Mariš
Modified: 2020-02-14 18:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-16 06:32:50 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-01-04 14:14:34 UTC
An off-by-one error was found in t2p_readwrite_pdf_image_tile() that can lead to heap buffer overflow triggered by running tiff2pdf on crafted tiff file.

Upstream patch:

https://github.com/vadz/libtiff/commit/c7153361a4041260719b340f73f2f76b0969235c

Upstream bug:

http://bugzilla.maptools.org/show_bug.cgi?id=2640

CVE assignment:

http://seclists.org/oss-sec/2017/q1/3

Reproducer:

https://github.com/asarubbo/poc/blob/master/00112-libtiff-heapoverflow-_TIFFmemcpy

Comment 1 Adam Mariš 2017-01-04 14:19:27 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1410123]

Comment 2 Adam Mariš 2017-01-04 14:19:33 UTC
Created mingw-libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1410124]
Affects: epel-7 [bug 1410125]


Note You need to log in before you can comment on or make changes to this bug.